ressource.socialbetadocumentation
API referenceFolders

One of the caller's folders

GET
/api/v1/folders/{id}

Sends a real request with your token. Prefer a read-only token; it is kept in this browser's storage.

Authorization

headerAuthorizationBearer <token>

A personal access token (rsk_…) or a Supabase access token.

Path Parameters

id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

The folder

application/json
  1. response
id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
name*string
description*string|null
parent_folder_id*|null
color*string|null
icon*string|null
is_private*boolean|null
sort_order*number|null
level*number|null
path*string|null
created_at*string|null
updated_at*string|null
child_folder_count*number
bookmark_count*number
curl -X GET 'https://www.ressource.social/api/v1/folders/497f6eca-6276-4993-bfeb-53cbbbba6f08'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "description": "string",  "parent_folder_id": "26caaf35-00f1-4c8f-a2ac-cb04b9b9a6ec",  "color": "string",  "icon": "string",  "is_private": true,  "sort_order": 0,  "level": 0,  "path": "string",  "created_at": "string",  "updated_at": "string",  "child_folder_count": 0,  "bookmark_count": 0}